> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/zindexmode.md).

# ZIndexMode

## Overview

ZIndexMode는 SurfaceGuiBase의 ZIndex 계산 방식을 지정하는 Enum입니다.

SurfaceGuiBase 클래스에서 ZIndexBehavior 속성으로 사용되며, ZIndex가 형제 요소 간의 상대적 순서로 계산될지, 아니면 전역적으로 계산될지를 결정합니다.

## Items

| Name    | Value | Description                                             |
| ------- | ----- | ------------------------------------------------------- |
| Sibling | 0     | ZIndex가 같은 부모를 가진 형제 요소들 간의 상대적 순서로 계산됩니다.              |
| Global  | 1     | ZIndex가 전역적으로 계산되어, 모든 SurfaceGuiBase 요소들 간의 순서를 결정합니다. |

## See also

{% content-ref url="/pages/9ahfOl1rnSja9NwskLml" %}
[SurfaceGuiBase](/korean/development/api-reference/classes/surfaceguibase.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/zindexmode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
